Get template stats
curl --request GET \
--url https://api.vollna.com/v1/proposal-templates/stats \
--header 'X-API-TOKEN: <api-key>'import requests
url = "https://api.vollna.com/v1/proposal-templates/stats"
headers = {"X-API-TOKEN": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-TOKEN': '<api-key>'}};
fetch('https://api.vollna.com/v1/proposal-templates/stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vollna.com/v1/proposal-templates/stats",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-TOKEN: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.vollna.com/v1/proposal-templates/stats"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-TOKEN", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.vollna.com/v1/proposal-templates/stats")
.header("X-API-TOKEN", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vollna.com/v1/proposal-templates/stats")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-TOKEN"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": {
"dateRange": "<string>",
"from": "2023-12-25",
"to": "2023-12-25",
"timezone": "<string>",
"templates": [
{
"id": 123,
"name": "<string>",
"sent": 123,
"views": 123,
"replies": 123,
"hires": 123,
"viewRate": 123,
"replyRate": 123,
"conversionRate": 123,
"costPerView": 123,
"costPerReply": 123,
"variants": [
{
"name": "Variant A",
"sent": 123,
"views": 123,
"replies": 123,
"hires": 123,
"viewRate": 123,
"replyRate": 123,
"conversionRate": 123,
"costPerView": 123,
"costPerReply": 123
}
]
}
]
}
}{
"error": "Validation failed",
"message": "<string>",
"fields": {}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "Validation failed",
"message": "<string>",
"fields": {}
}{
"error": "<string>"
}Proposal Templates
Get template stats
Returns the proposal templates analytics table: per template and per A/B variant, proposals sent, views, replies, hires, rates and cost per reply, over every Upwork profile the token team sees
GET
/
proposal-templates
/
stats
Get template stats
curl --request GET \
--url https://api.vollna.com/v1/proposal-templates/stats \
--header 'X-API-TOKEN: <api-key>'import requests
url = "https://api.vollna.com/v1/proposal-templates/stats"
headers = {"X-API-TOKEN": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-TOKEN': '<api-key>'}};
fetch('https://api.vollna.com/v1/proposal-templates/stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vollna.com/v1/proposal-templates/stats",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-TOKEN: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.vollna.com/v1/proposal-templates/stats"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-TOKEN", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.vollna.com/v1/proposal-templates/stats")
.header("X-API-TOKEN", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vollna.com/v1/proposal-templates/stats")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-TOKEN"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": {
"dateRange": "<string>",
"from": "2023-12-25",
"to": "2023-12-25",
"timezone": "<string>",
"templates": [
{
"id": 123,
"name": "<string>",
"sent": 123,
"views": 123,
"replies": 123,
"hires": 123,
"viewRate": 123,
"replyRate": 123,
"conversionRate": 123,
"costPerView": 123,
"costPerReply": 123,
"variants": [
{
"name": "Variant A",
"sent": 123,
"views": 123,
"replies": 123,
"hires": 123,
"viewRate": 123,
"replyRate": 123,
"conversionRate": 123,
"costPerView": 123,
"costPerReply": 123
}
]
}
]
}
}{
"error": "Validation failed",
"message": "<string>",
"fields": {}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "Validation failed",
"message": "<string>",
"fields": {}
}{
"error": "<string>"
}Authorizations
API token for authentication
Query Parameters
A preset: today, yesterday, last_7_days, last_week, last_4_weeks, last_30_days, last_month, last_3_months, last_90_days, last_12_months, month_to_date, quarter_to_date, year_to_date or all_time. Or a custom range as YYYY-MM-DD_YYYY-MM-DD. Read in the team owner's time zone
Response
Successful operation
Show child attributes
Show child attributes
Was this page helpful?